/**
 * Utilidades del subdialogo de historico de responsables
 */
var mysortname="cserv29";
var mysortorder="asc";

var dialogoHistorico={
	inicializado:false,
	expeId:null,
	expeCod:null,
	/**
	 * Oculta los elementos visibles
	 */
	ocultarElementos:function(){
			$("#dialogoEsperaDetalleHistorico").hide();
	},
	/**
	 * Inicializa el componente (si no esta inicializado)y lo abre 
	 */
	inicializar:function(){
		if(!this.inicializado){
			this.inicializado=true;
		
			$("#ResponsablesExpedientesDetalle_filter_toolbar").hide();
		
			$("#ResponsablesExpedientesDetalle").rup_table({
				rowNum:20,
				url: "../aa21b29s01",
				colNames: [
				    "idRespExp",
					"cserv29",
					"cexpe29",
					"aexpe29",
					"nexpe29",
					$.rup.i18n.app.aa21b29s01.crespo29,
					$.rup.i18n.app.aa21b29s01.drespo29,
					$.rup.i18n.app.aa21b29s01.frespo29
				],
				colModel: [
				    { 	name: "idRespExp", 
		 				label: "idRespExp",
						hidden: true 
					},
					{ 	name: "cserv29", 
					 	label: "cserv29",
						hidden: true 
					},
					{ 	name: "cexpe29", 
					 	label: "cexpe29",
						hidden: true 
					},
					{ 	name: "aexpe29", 
					 	label: "aexpe29",
						hidden: true 
					},
					{ 	name: "nexpe29", 
					 	label: "nexpe29",
						hidden: true 
					},
					{ 	name: "crespo29", 
					 	label: "crespo29",
						align: "right", 
						width: 150, 
						editable: true, 
						fixed: false, 
						hidden: true, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "drespo29", 
					 	label: "drespo29",
						align: "left", 
						width: 150, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					},
					{ 	name: "frespo29", 
					 	label: "frespo29",
						align: "left", 
						width: 150, 
						editable: true, 
						fixed: false, 
						hidden: false, 
						resizable: true, 
						sortable: true
					}
		        ],
		
		        model:"Aa21b29s01",
		        usePlugins:[
					"formEdit",
		        	"feedback",
					"toolbar",
		        	"contextMenu",
		        	"fluid",
		        	"filter",
		        	//"search"
		         	],
				primaryKey: "idRespExp",
				sortname: mysortname,
				sortorder: mysortorder,
				loadOnStartUp: false,
		        formEdit:{
		        	detailForm: "#ResponsablesExpedientesDetalle_detail_div",
					fillDataMethod: "clientSide"
		        }
			});
			$("#ResponsablesExpedientesDetalle_toolbar").hide();
			/*$("[id='ResponsablesExpedientesDetalle_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").hide();
			$("[id='ResponsablesExpedientesDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").hide();
			$("[id='ResponsablesExpedientesDetalle_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").hide();
			$("[id='ResponsablesExpedientesDetalle_toolbar"+$.rup.i18n.base.rup_maint.clone+"']").hide();*/
			
		
			
			
			
			$("#ResponsablesExpedientesDetalle").on("rupTable_beforeAddRow", function(deleteOptions,selectedRow){
				return false;
			});
			
			$("#ResponsablesExpedientesDetalle").on("rupTable_beforeEditRow", function(deleteOptions,selectedRow){
				return false;
			});
			
			jQuery("#ResponsablesExpedientesDetalle").on("jqGridDblClickRow", function(event, form, oper) {
				return false;
			});
			
			jQuery("#dialogoDocumentosExpediente").on("dialogclose", function() {
				$("#ResponsablesExpedientesDetalle_div").hide();
				$("#dialogoEsperaDetalleHistorico").show();
			});
			
			$("#dialogoHistoricoRespExpediente").rup_dialog({
				type:$.rup.dialog.DIV,
				//url:"/aa21bOrgDocumentalWar/aa21b20s01/consultarhistoricorespexpediente"+codigoEnvio+"&modo="+modo,
				modal:true,
				height:625,
				width:935,	
				resizable:false,
				title:$.rup.i18n.app.aa21b20s01.consultaHistoricoExpedienteTit + " " + dialogoHistorico.expeCod,
				autoOpen:false,
				showLoading:true,
				async:false,
				open:dialogoHistorico.cargarDatos
			});
		}
	
	},
	/**
	 * Hace un filter del rup_table, para que se carguen los datos. Se llama en el evento de apertura del diálogo
	 */
	 cargarDatos:function(){
		 	$("#ui-dialog-title-dialogoHistoricoRespExpediente").html($.rup.i18n.app.aa21b20s01.consultaHistoricoExpedienteTit + " " + dialogoHistorico.expeCod);
		 	$("#ResponsablesExpedientesDetalle").rup_table("filter");
			$("#dialogoEsperaDetalleHistorico").hide();
			$("#ResponsablesExpedientesDetalle_div").show();
	},
	/**
	 * Abre el dialogo, para el expediente con id=expediente y referencia=codigo
	 * rellena el formulario de búsqueda
	 * e inicializa el componente
	 * @param expediente
	 * @param codigo
	 */
	abrirDialogo:function(expediente, codigo, sortname, sortorder) {

		 if (sortname != '') {
			 mysortname = sortname;
		 }
		 if (sortorder != '') {
	 		 mysortorder = sortorder;
		 }

		 this.expeId=expediente;
		 this.expeCod=codigo;
		
		 var cod=this.expeId.split("-");
		 var aexpe=cod[2];
		 var cexpe=cod[1];
		 var cserv=cod[0];
		 //this.modo=modo;
		 var nexpe=cod[3];
		//url:"/aa21bOrgDocumentalWar/aa21b20s01/consultardocumentosexpediente"+codigoEnvio+"&modo="+modo,
		 $("#cserv").val(cserv);
		 $("#cexpe").val(cexpe);
		 $("#aexpe").val(aexpe);
		 $("#nexpe").val(nexpe);
		 $("#modo29").val(this.modo);
		 $("#cserv29_filter_table").val(cserv);
		 $("#cexpe29_filter_table").val(cexpe);
		 $("#aexpe29_filter_table").val(aexpe);
		 $("#nexpe29_filter_table").val(nexpe);
		 dialogoHistorico.inicializar();
		$("#dialogoHistoricoRespExpediente").rup_dialog("open");
	}

};